// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.WebReferences.Dialogs {
    
    
    internal partial class WebReferenceDialog {
        
        private Gtk.UIManager UIManager;
        
        private Gtk.Action btnBack;
        
        private Gtk.Action btnNext;
        
        private Gtk.Action btnRefresh;
        
        private Gtk.Action btnStop;
        
        private Gtk.Action btnHome;
        
        private Gtk.VBox vbxContainer;
        
        private Gtk.Toolbar tlbNavigate;
        
        private Gtk.Table tblWebReferenceUrl;
        
        private Gtk.Button btnGO;
        
        private Gtk.Label lblWebServiceUrl;
        
        private Gtk.Entry tbxReferenceURL;
        
        private Gtk.Frame frmBrowser;
        
        private Gtk.Table tblReferenceName;
        
        private Gtk.Label lblNamespace;
        
        private Gtk.Label lblReference;
        
        private Gtk.Entry tbxNamespace;
        
        private Gtk.Entry tbxReferenceName;
        
        private Gtk.Button btnCancel;
        
        private Gtk.Button btnOK;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.WebReferences.Dialogs.WebReferenceDialog
            this.UIManager = new Gtk.UIManager();
            Gtk.ActionGroup w1 = new Gtk.ActionGroup("Default");
            this.btnBack = new Gtk.Action("btnBack", null, Mono.Unix.Catalog.GetString("Go back one page"), "gtk-go-back");
            w1.Add(this.btnBack, null);
            this.btnNext = new Gtk.Action("btnNext", null, Mono.Unix.Catalog.GetString("Go forward one page"), "gtk-go-forward");
            w1.Add(this.btnNext, null);
            this.btnRefresh = new Gtk.Action("btnRefresh", null, Mono.Unix.Catalog.GetString("Reload current page"), "gtk-refresh");
            w1.Add(this.btnRefresh, null);
            this.btnStop = new Gtk.Action("btnStop", null, Mono.Unix.Catalog.GetString("Stop loading this page"), "gtk-stop");
            w1.Add(this.btnStop, null);
            this.btnHome = new Gtk.Action("btnHome", null, Mono.Unix.Catalog.GetString("Go back to the home page"), "gtk-home");
            w1.Add(this.btnHome, null);
            this.UIManager.InsertActionGroup(w1, 0);
            this.AddAccelGroup(this.UIManager.AccelGroup);
            this.Events = ((Gdk.EventMask)(256));
            this.Name = "MonoDevelop.WebReferences.Dialogs.WebReferenceDialog";
            this.Title = Mono.Unix.Catalog.GetString("Add Web Reference");
            this.Icon = Gdk.Pixbuf.LoadFromResource("WebReference.Service.png");
            this.WindowPosition = ((Gtk.WindowPosition)(4));
            this.HasSeparator = false;
            // Internal child MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.VBox
            Gtk.VBox w2 = this.VBox;
            w2.Events = ((Gdk.EventMask)(256));
            w2.Name = "dlgWindow";
            w2.BorderWidth = ((uint)(2));
            // Container child dlgWindow.Gtk.Box+BoxChild
            this.vbxContainer = new Gtk.VBox();
            this.vbxContainer.Name = "vbxContainer";
            // Container child vbxContainer.Gtk.Box+BoxChild
            this.UIManager.AddUiFromString("<ui><toolbar name='tlbNavigate'><toolitem name='btnBack' action='btnBack'/><toolitem name='btnNext' action='btnNext'/><toolitem name='btnRefresh' action='btnRefresh'/><toolitem name='btnStop' action='btnStop'/><toolitem name='btnHome' action='btnHome'/></toolbar></ui>");
            this.tlbNavigate = ((Gtk.Toolbar)(this.UIManager.GetWidget("/tlbNavigate")));
            this.tlbNavigate.Name = "tlbNavigate";
            this.tlbNavigate.ShowArrow = false;
            this.tlbNavigate.ToolbarStyle = ((Gtk.ToolbarStyle)(0));
            this.tlbNavigate.IconSize = ((Gtk.IconSize)(2));
            this.vbxContainer.Add(this.tlbNavigate);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.vbxContainer[this.tlbNavigate]));
            w3.Position = 0;
            w3.Expand = false;
            w3.Fill = false;
            // Container child vbxContainer.Gtk.Box+BoxChild
            this.tblWebReferenceUrl = new Gtk.Table(((uint)(1)), ((uint)(3)), false);
            this.tblWebReferenceUrl.Name = "tblWebReferenceUrl";
            this.tblWebReferenceUrl.RowSpacing = ((uint)(6));
            this.tblWebReferenceUrl.ColumnSpacing = ((uint)(6));
            // Container child tblWebReferenceUrl.Gtk.Table+TableChild
            this.btnGO = new Gtk.Button();
            this.btnGO.CanFocus = true;
            this.btnGO.Name = "btnGO";
            this.btnGO.UseStock = true;
            this.btnGO.UseUnderline = true;
            this.btnGO.Label = "gtk-jump-to";
            this.tblWebReferenceUrl.Add(this.btnGO);
            Gtk.Table.TableChild w4 = ((Gtk.Table.TableChild)(this.tblWebReferenceUrl[this.btnGO]));
            w4.LeftAttach = ((uint)(2));
            w4.RightAttach = ((uint)(3));
            w4.XPadding = ((uint)(4));
            w4.YPadding = ((uint)(4));
            w4.XOptions = ((Gtk.AttachOptions)(0));
            w4.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tblWebReferenceUrl.Gtk.Table+TableChild
            this.lblWebServiceUrl = new Gtk.Label();
            this.lblWebServiceUrl.Name = "lblWebServiceUrl";
            this.lblWebServiceUrl.Xalign = 0F;
            this.lblWebServiceUrl.LabelProp = Mono.Unix.Catalog.GetString("Web Service Url: ");
            this.tblWebReferenceUrl.Add(this.lblWebServiceUrl);
            Gtk.Table.TableChild w5 = ((Gtk.Table.TableChild)(this.tblWebReferenceUrl[this.lblWebServiceUrl]));
            w5.XPadding = ((uint)(4));
            w5.YPadding = ((uint)(4));
            w5.XOptions = ((Gtk.AttachOptions)(4));
            w5.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tblWebReferenceUrl.Gtk.Table+TableChild
            this.tbxReferenceURL = new Gtk.Entry();
            this.tbxReferenceURL.CanFocus = true;
            this.tbxReferenceURL.Name = "tbxReferenceURL";
            this.tbxReferenceURL.IsEditable = true;
            this.tbxReferenceURL.InvisibleChar = '●';
            this.tblWebReferenceUrl.Add(this.tbxReferenceURL);
            Gtk.Table.TableChild w6 = ((Gtk.Table.TableChild)(this.tblWebReferenceUrl[this.tbxReferenceURL]));
            w6.LeftAttach = ((uint)(1));
            w6.RightAttach = ((uint)(2));
            w6.YOptions = ((Gtk.AttachOptions)(4));
            this.vbxContainer.Add(this.tblWebReferenceUrl);
            Gtk.Box.BoxChild w7 = ((Gtk.Box.BoxChild)(this.vbxContainer[this.tblWebReferenceUrl]));
            w7.Position = 1;
            w7.Expand = false;
            w7.Fill = false;
            // Container child vbxContainer.Gtk.Box+BoxChild
            this.frmBrowser = new Gtk.Frame();
            this.frmBrowser.Name = "frmBrowser";
            this.frmBrowser.ShadowType = ((Gtk.ShadowType)(0));
            this.frmBrowser.LabelYalign = 0F;
            this.vbxContainer.Add(this.frmBrowser);
            Gtk.Box.BoxChild w8 = ((Gtk.Box.BoxChild)(this.vbxContainer[this.frmBrowser]));
            w8.Position = 2;
            // Container child vbxContainer.Gtk.Box+BoxChild
            this.tblReferenceName = new Gtk.Table(((uint)(2)), ((uint)(2)), false);
            this.tblReferenceName.Name = "tblReferenceName";
            this.tblReferenceName.RowSpacing = ((uint)(4));
            this.tblReferenceName.ColumnSpacing = ((uint)(4));
            this.tblReferenceName.BorderWidth = ((uint)(9));
            // Container child tblReferenceName.Gtk.Table+TableChild
            this.lblNamespace = new Gtk.Label();
            this.lblNamespace.Name = "lblNamespace";
            this.lblNamespace.Xalign = 0F;
            this.lblNamespace.LabelProp = Mono.Unix.Catalog.GetString("Namespace: ");
            this.tblReferenceName.Add(this.lblNamespace);
            Gtk.Table.TableChild w9 = ((Gtk.Table.TableChild)(this.tblReferenceName[this.lblNamespace]));
            w9.TopAttach = ((uint)(1));
            w9.BottomAttach = ((uint)(2));
            w9.XOptions = ((Gtk.AttachOptions)(4));
            w9.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tblReferenceName.Gtk.Table+TableChild
            this.lblReference = new Gtk.Label();
            this.lblReference.Name = "lblReference";
            this.lblReference.Xalign = 0F;
            this.lblReference.LabelProp = Mono.Unix.Catalog.GetString("Reference: ");
            this.tblReferenceName.Add(this.lblReference);
            Gtk.Table.TableChild w10 = ((Gtk.Table.TableChild)(this.tblReferenceName[this.lblReference]));
            w10.XOptions = ((Gtk.AttachOptions)(4));
            w10.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tblReferenceName.Gtk.Table+TableChild
            this.tbxNamespace = new Gtk.Entry();
            this.tbxNamespace.Sensitive = false;
            this.tbxNamespace.CanFocus = true;
            this.tbxNamespace.Name = "tbxNamespace";
            this.tbxNamespace.IsEditable = true;
            this.tbxNamespace.InvisibleChar = '●';
            this.tblReferenceName.Add(this.tbxNamespace);
            Gtk.Table.TableChild w11 = ((Gtk.Table.TableChild)(this.tblReferenceName[this.tbxNamespace]));
            w11.TopAttach = ((uint)(1));
            w11.BottomAttach = ((uint)(2));
            w11.LeftAttach = ((uint)(1));
            w11.RightAttach = ((uint)(2));
            w11.YOptions = ((Gtk.AttachOptions)(4));
            // Container child tblReferenceName.Gtk.Table+TableChild
            this.tbxReferenceName = new Gtk.Entry();
            this.tbxReferenceName.CanFocus = true;
            this.tbxReferenceName.Name = "tbxReferenceName";
            this.tbxReferenceName.IsEditable = true;
            this.tbxReferenceName.InvisibleChar = '●';
            this.tblReferenceName.Add(this.tbxReferenceName);
            Gtk.Table.TableChild w12 = ((Gtk.Table.TableChild)(this.tblReferenceName[this.tbxReferenceName]));
            w12.LeftAttach = ((uint)(1));
            w12.RightAttach = ((uint)(2));
            w12.YOptions = ((Gtk.AttachOptions)(4));
            this.vbxContainer.Add(this.tblReferenceName);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.vbxContainer[this.tblReferenceName]));
            w13.Position = 3;
            w13.Expand = false;
            w13.Fill = false;
            w2.Add(this.vbxContainer);
            Gtk.Box.BoxChild w14 = ((Gtk.Box.BoxChild)(w2[this.vbxContainer]));
            w14.Position = 0;
            // Internal child MonoDevelop.WebReferences.Dialogs.WebReferenceDialog.ActionArea
            Gtk.HButtonBox w15 = this.ActionArea;
            w15.Events = ((Gdk.EventMask)(256));
            w15.Name = "pnlActionArea";
            w15.Spacing = 6;
            w15.BorderWidth = ((uint)(5));
            w15.LayoutStyle = ((Gtk.ButtonBoxStyle)(4));
            // Container child pnlActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.btnCancel = new Gtk.Button();
            this.btnCancel.CanDefault = true;
            this.btnCancel.CanFocus = true;
            this.btnCancel.Name = "btnCancel";
            this.btnCancel.UseStock = true;
            this.btnCancel.UseUnderline = true;
            this.btnCancel.Label = "gtk-cancel";
            this.AddActionWidget(this.btnCancel, -6);
            Gtk.ButtonBox.ButtonBoxChild w16 = ((Gtk.ButtonBox.ButtonBoxChild)(w15[this.btnCancel]));
            w16.Expand = false;
            w16.Fill = false;
            // Container child pnlActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.btnOK = new Gtk.Button();
            this.btnOK.CanDefault = true;
            this.btnOK.CanFocus = true;
            this.btnOK.Name = "btnOK";
            this.btnOK.UseStock = true;
            this.btnOK.UseUnderline = true;
            this.btnOK.Label = "gtk-ok";
            this.AddActionWidget(this.btnOK, -5);
            Gtk.ButtonBox.ButtonBoxChild w17 = ((Gtk.ButtonBox.ButtonBoxChild)(w15[this.btnOK]));
            w17.Position = 1;
            w17.Expand = false;
            w17.Fill = false;
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.DefaultWidth = 639;
            this.DefaultHeight = 472;
            this.Show();
            this.btnBack.Activated += new System.EventHandler(this.Browser_BackButtonClicked);
            this.btnNext.Activated += new System.EventHandler(this.Browser_NextButtonClicked);
            this.btnRefresh.Activated += new System.EventHandler(this.Browser_RefreshButtonClicked);
            this.btnStop.Activated += new System.EventHandler(this.Browser_StopButtonClicked);
            this.btnHome.Activated += new System.EventHandler(this.Browser_HomeButtonClicked);
            this.tbxReferenceURL.KeyReleaseEvent += new Gtk.KeyReleaseEventHandler(this.Browser_URLKeyReleased);
            this.btnGO.Clicked += new System.EventHandler(this.Browser_GoButtonClicked);
        }
    }
}
